Bug 476430 - Hibernation immediately resumes on Acer Aspire 1690
Hibernation immediately resumes on Acer Aspire 1690
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
11
All Linux
low Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-14 10:42 EST by Daniel Qarras
Modified: 2010-06-28 06:56 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-28 06:56:53 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
dmesg from Acer Aspire 1690 (22.91 KB, text/plain)
2008-12-14 10:43 EST, Daniel Qarras
no flags Details
dmesg from Acer Aspire 1690 before hibernation (34.56 KB, text/plain)
2008-12-14 10:44 EST, Daniel Qarras
no flags Details
dmesg from Acer Aspire 1690 after resume from hibernation (40.00 KB, text/plain)
2008-12-14 10:44 EST, Daniel Qarras
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
Linux Kernel 12721 None None None Never
Linux Kernel 9258 None None None Never

  None (edit)
Description Daniel Qarras 2008-12-14 10:42:58 EST
Description of problem:
When using, e.g., pm-hibernate to hibernate my Acer Aspire 1690, immediately after the system has been put into hibernation it wakes up and resumes. pm-suspend works and no keys are pressed.

Version-Release number of selected component (if applicable):
acpid-1.0.6-9.fc10.i386
kernel-2.6.27.7-134.fc10.i686


How reproducible:
Always.

Steps to Reproduce:
1. Boot Acer Aspire 1690
2. Run pm-hibernate
3. See how it resumes immediately
  
Actual results:
System resumes immediately from hibernation.

Expected results:
System stays in hibernation.

Additional info:
This used to work with F9. I tested from runlevel 3 with parameter "nomodeset" to make sure this is a acpi/kernel issue.

I will attach lscpi and dmesg before/after.
Comment 1 Daniel Qarras 2008-12-14 10:43:53 EST
Created attachment 326874 [details]
dmesg from Acer Aspire 1690
Comment 2 Daniel Qarras 2008-12-14 10:44:20 EST
Created attachment 326875 [details]
dmesg from Acer Aspire 1690 before hibernation
Comment 3 Daniel Qarras 2008-12-14 10:44:46 EST
Created attachment 326876 [details]
dmesg from Acer Aspire 1690 after resume from hibernation
Comment 4 Daniel Qarras 2009-01-05 11:13:54 EST
Well, I compiled few kernel.org kernels and noticed that this breaks between 2.6.23 and 2.6.24. I'll try to debug this further with upstream developers.
Comment 5 Daniel Qarras 2009-01-06 15:33:30 EST
I bisected this to commit 9cd9a0058dd35268b24fa16795a92c800f4086d4. I will follow up with a proposal from upstream developers on how to fix this for good.

http://git.kernel.org/?p=linux/kernel/git/torvalds/linux-2.6.git;a=commit;h=9cd9a0058dd35268b24fa16795a92c800f4086d4
Comment 6 Steven M. Parrish 2009-03-08 14:05:28 EDT
reassigned from ACPI to ACPID
Comment 7 Daniel Qarras 2009-03-08 16:45:41 EDT
This is a kernel issue and a fix is in the works in the upstream:

https://lists.linux-foundation.org/pipermail/linux-pm/2009-January/019251.html

I will update this bug as soon as more information is available.
Comment 8 Zdenek Prikryl 2009-03-17 03:06:56 EDT
In that case, reassigned from acpid to kernel.
Comment 9 Daniel Qarras 2009-04-03 11:12:16 EDT
Intel engineering is now hopefully looking into this.
Comment 10 Bug Zapper 2009-06-09 06:15:57 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 11 Bug Zapper 2010-04-27 08:31:26 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 12 Daniel Qarras 2010-05-12 16:26:44 EDT
It's best that this bug will autoclose as if anything happens it will be at the upstream bug report:

https://bugzilla.kernel.org/show_bug.cgi?id=9258

Thanks.
Comment 13 Bug Zapper 2010-06-28 06:56:53 EDT
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.